.ls-ui-comp-auto_complete {
    z-index: 999;
    padding: 0;
    margin: 0;
    background: #fff;
}
.ls-ui-comp-auto_complete a {
    display: block;
    padding: 15px 10px;
    color: #323232;
    text-decoration: none;
}
.ls-ui-comp-auto_complete li {
    padding: 0;
    margin: 0;
    font-size: 1.4em;
    color: #323232;
    text-decoration: none;
    list-style: none;
    cursor: pointer;
}
.ls-ui-comp-auto_complete .ls-ui-active a {
    color: #fff;
    background: #323232;
}
.ls-ui-comp-close_button {
    width: 44px;
    height: 44px;
    padding: 0;
    text-indent: -9999px;
    cursor: pointer;
    background: url(../images/locservices_ui_x1.png) -1px -45px no-repeat;
    border: none;
}
@media only screen and (-webkit-min-device-pixel-ratio:1.3),only screen and (min--moz-device-pixel-ratio:1.3),only screen and (-o-min-device-pixel-ratio:4/3),only screen and (min-device-pixel-ratio:1.3),only screen and (min-resolution:1.3dppx) {
    .ls-ui-comp-close_button {
        background-image: url(../images/locservices_ui_x2.png);
        background-size: 44px;
    }
}
.ls-ui-comp-dialog {
    position: relative;
    padding: 8px;
    background: #e6e6e6;
}
.ls-ui-comp-dialog p {
    padding: 4px 0;
    margin: 0 0 7px;
    font-size: 1.4em;
    line-height: 1.3;
    color: #606060;
    word-wrap: break-word;
}
.ls-ui-comp-dialog button {
    width: 100%;
    height: 44px;
    padding: 10px 17px;
    font-size: 1.4em;
    color: #fff;
    cursor: pointer;
    background: #404040;
    border: none;
}
.ls-ui-comp-dialog-confirm button { margin-bottom: 8px }
@media (min-width:368px) {
    .ls-ui-comp-dialog { padding-right: 16px }
    .ls-ui-comp-dialog span {
        display: inline-block;
        width: 50%;
    }
    .ls-ui-comp-dialog-confirm button { margin: 0 8px 0 0 }
    .ls-ui-comp-dialog-cancel button { margin-left: 8px }
}
@media (min-width:568px) {
    .ls-ui-comp-dialog p {
        display: block;
        padding: 11px 240px 13px 6px;
        margin: 0;
    }
    .ls-ui-comp-dialog-buttons {
        position: absolute;
        top: 50%;
        right: 15px;
    }
    .ls-ui-comp-dialog span {
        position: relative;
        top: -22px;
        width: 100px;
    }
}
.ls-ui-comp-geolocation {
    position: relative;
    display: block;
    width: 100%;
    padding: 0 0 0 10px;
    font-size: 1em;
    text-align: left;
    cursor: pointer;
    background-color: #333635;
    border: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}
.ls-ui-comp-geolocation .ls-ui-comp-geolocation-icon {
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    width: 44px;
    height: 44px;
    background: url(../images/locservices_ui_x1.png) 0 -231px no-repeat;
}
.ls-ui-comp-geolocation .ls-ui-comp-geolocation-label {
    display: block;
    height: 44px;
    padding: 0 10px 0 0;
    margin: 0 44px 0 0;
    font-size: 1.6em;
    line-height: 44px;
    color: #fff;
}
.ls-ui-comp-geolocation-disabled { background-color: #525553 }
.ls-ui-comp-geolocation::-moz-focus-inner {
    padding: 0;
    margin: 0;
}
@media (min-width:600px) {
    .ls-ui-comp-geolocation {
        width: 44px;
        height: 44px;
    }
    .ls-ui-comp-geolocation .ls-ui-comp-geolocation-label { text-indent: -9999px }
}
@media only screen and (-webkit-min-device-pixel-ratio:1.3),only screen and (min--moz-device-pixel-ratio:1.3),only screen and (-o-min-device-pixel-ratio:4/3),only screen and (min-device-pixel-ratio:1.3),only screen and (min-resolution:1.3dppx) {
    .ls-ui-comp-geolocation .ls-ui-comp-geolocation-icon {
        background-image: url(../images/locservices_ui_x2.png);
        background-size: 44px;
        background-position: 0 -226px;
    }
}
.ls-ui-comp-message {
    font-size: 1.4em;
    color: #606060;
    background-color: #fff;
}
.ls-ui-comp-message .ls-ui-active {
    padding: 15px 8px;
    margin: 0;
    border-bottom: 1px solid #e6e6e6;
}
.ls-ui-comp-search {
    position: relative;
    margin: 0;
}
.ls-ui-comp-search .ls-ui-container { margin: 0 44px 0 0 }
.ls-ui-comp-search .ls-ui-input {
    display: block;
    width: 100%;
    height: 44px;
    padding: 10px 8px;
    margin: 0 44px 0 0;
    font-size: 1.6em;
    background: #e6e6e6;
    border: none;
    -webkit-border-radius: 0;
    outline: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}
.ls-ui-comp-search .ls-ui-input-clear,
.ls-ui-comp-search .ls-ui-submit {
    position: absolute;
    width: 44px;
    height: 44px;
    padding: 0;
    background-image: url(../images/locservices_ui_x1.png);
    background-repeat: no-repeat;
    border: none;
}
.ls-ui-comp-search .ls-ui-input-clear {
    top: -2px;
    right: 46px;
    display: none;
    margin-top: 2px;
    text-indent: -10000px;
    background-color: transparent;
    background-position: 0 -92px;
}
.ls-ui-comp-search .ls-ui-submit {
    top: 0;
    right: 0;
    text-indent: -9999px;
    cursor: pointer;
    background-color: #e6e6e6;
    background-position: 0 -460px;
    -webkit-border-radius: 0;
}
.ls-ui-comp-search .bordered { border: 1px solid #cdcdcd }
.ls-ui-comp-search .bordered .ls-ui-submit {
    top: 1px;
    right: 1px;
}
.ls-ui-comp-search-with-term .ls-ui-input-clear { display: block }
.ls-ui-comp-search-with-term .ls-ui-input { padding-right: 44px }
.ls-ui-ctrl-active .ls-ui-comp-search-with-clear .ls-ui-submit { background-color: #A0A0A0 }
@media (min-width:600px) {
    .ls-ui-comp-search .ls-ui-input { font-size: 1.4em }
}
@media only screen and (-webkit-min-device-pixel-ratio:1.3),only screen and (min--moz-device-pixel-ratio:1.3),only screen and (-o-min-device-pixel-ratio:4/3),only screen and (min-device-pixel-ratio:1.3),only screen and (min-resolution:1.3dppx) {
    .ls-ui-comp-search .ls-ui-submit {
        background-size: 44px;
        background-image: url(../images/locservices_ui_x2.png);
        background-position: 0 -450px;
    }
    .ls-ui-comp-search .ls-ui-input-clear {
        background-size: 44px;
        background-image: url(../images/locservices_ui_x2.png);
        background-position: 0 -90px;
    }
}
.ls-ui-comp-search_results {
    color: #606060;
    background-color: #fff;
}
.ls-ui-comp-search_results ul {
    padding: 0;
    margin: 0;
}
.ls-ui-comp-search_results .ls-ui-comp-search_results-with_results ul { margin: 0 0 16px }
.ls-ui-comp-search_results a {
    display: block;
    padding: 15px 10px;
    color: #323232;
    text-decoration: none;
}
.ls-ui-comp-search_results li {
    padding: 0;
    margin: 0;
    font-size: 1.4em;
    color: #323232;
    text-decoration: none;
    list-style: none;
    cursor: pointer;
}
.ls-ui-comp-search_results a:focus,
.ls-ui-comp-search_results a:hover,
.ls-ui-comp-search_results button:focus,
.ls-ui-comp-search_results button:hover {
    color: #fff;
    background: #323232;
}
.ls-ui-comp-search_results .ls-ui-comp-search_results-more {
    display: none;
    width: 100%;
    padding: 0;
    font-size: 1.4em;
    font-weight: 700;
    line-height: 44px;
    color: #606060;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    background-color: #e6e6e6;
    border: none;
}
.ls-ui-comp-search_results .ls-ui-comp-search_results-active,
.ls-ui-comp-user_locations-action span,
.ls-ui-comp-user_locations-remove span { display: block }
.ls-ui-comp-search_results-with_results { margin-top: 8px }
.ls-ui-comp-user_locations p {
    padding: 8px;
    margin: 0;
    color: #606060;
}
.ls-ui-comp-user_locations ul {
    padding: 0;
    margin: 4px 0 16px;
    border-top: 1px solid #e6e6e6;
}
.ls-ui-comp-user_locations li {
    margin: 0;
    list-style-type: none;
    border-bottom: 1px solid #e6e6e6;
    position: relative;
    padding: 14px 29px 14px 8px;
}
.ls-ui-comp-user_locations-heading,
.ls-ui-comp-user_locations-message {
    font-size: 1.4em;
    line-height: 1.3;
}
.ls-ui-comp-user_locations-preferred-no-location { margin-bottom: 16px }
.ls-ui-comp-user_locations-with_preferable li { padding-left: 43px }
.ls-ui-comp-user_locations-name {
    font-size: 1.5em;
    line-height: 1.4;
    color: #606060;
    text-decoration: none;
    word-wrap: break-word;
}
.ls-ui-comp-user_locations-name:hover { text-decoration: underline }
.ls-ui-comp-user_locations-action,
.ls-ui-comp-user_locations-remove {
    position: absolute;
    top: 0;
    margin: 0;
    text-indent: -10000px;
    cursor: pointer;
    background: 0 0;
    border: none;
}
.ls-ui-comp-user_locations-location-with-dialog .ls-ui-comp-user_locations-action,
.ls-ui-comp-user_locations-location-with-dialog .ls-ui-comp-user_locations-name,
.ls-ui-comp-user_locations-location-with-dialog .ls-ui-comp-user_locations-remove,
.ls-ui-ctrl-primary .ls-ui-comp-geolocation,
.ls-ui-ctrl-primary .ls-ui-comp-user_locations,
.ls-ui-ctrl-primary .ls-ui-o .ls-ui-hidden { display: none }
.ls-ui-comp-user_locations-action[disabled=disabled] { cursor: default }
.ls-ui-comp-user_locations-action {
    left: 0;
    padding: 11px 7px;
}
.ls-ui-comp-user_locations-action span {
    width: 25px;
    height: 25px;
    background: url(../images/locservices_ui_x1.png) -10px -378px no-repeat;
}
.ls-ui-comp-user_locations-location-preferred .ls-ui-comp-user_locations-action span { background: url(../images/locservices_ui_x1.png) -10px -10px no-repeat }
.ls-ui-comp-user_locations-remove {
    right: 0;
    padding: 11px 5px;
    margin-top: 2px;
}
.ls-ui-comp-user_locations-remove span {
    width: 24px;
    height: 24px;
    background: url(../images/locservices_ui_x1.png) -11px -102px no-repeat;
}
.ls-ui-comp-user_locations .ls-ui-comp-user_locations-location-with-dialog { padding: 0 }
@media only screen and (-webkit-min-device-pixel-ratio:1.3),only screen and (min--moz-device-pixel-ratio:1.3),only screen and (-o-min-device-pixel-ratio:4/3),only screen and (min-device-pixel-ratio:1.3),only screen and (min-resolution:1.3dppx) {
    .ls-ui-comp-user_locations .ls-ui-comp-user_locations-location-preferred .ls-ui-comp-user_locations-action span {
        background-image: url(../images/locservices_ui_x2.png);
        background-size: 44px;
        background-position: -10px -10px;
    }
    .ls-ui-comp-user_locations .ls-ui-comp-user_locations-action span {
        background-image: url(../images/locservices_ui_x2.png);
        background-size: 44px;
        background-position: -11px -370px;
    }
    .ls-ui-comp-user_locations .ls-ui-comp-user_locations-remove span {
        background-image: url(../images/locservices_ui_x2.png);
        background-size: 44px;
        background-position: -10px -100px;
    }
}
.ls-ui-ctrl-primary { padding: 20px 8px }
.ls-ui-ctrl-primary .ls-ui-o { position: relative }
.ls-ui-ctrl-primary .ls-ui-ctrl-primary-search { margin-top: 54px }
.ls-ui-ctrl-primary .ls-ui-comp-close_button {
    position: absolute;
    top: -54px;
    right: 0;
    display: none;
}
.ls-ui-ctrl-active .ls-ui-comp-close_button,
.ls-ui-ctrl-active .ls-ui-comp-user_locations { display: block }
.ls-ui-ctrl-active { background: #fff }
.ls-ui-ctrl-active .site-name { color: #000 }
.ls-ui-ctrl-active .ls-ui-comp-search .ls-ui-input,
.ls-ui-ctrl-active .ls-ui-comp-search .ls-ui-submit { background-color: #e6e6e6 }
.ls-ui-ctrl-geolocation .ls-ui-ctrl-primary-search { margin-top: 112px }
.ls-ui-ctrl-geolocation .ls-ui-comp-geolocation {
    position: absolute;
    top: -54px;
    display: block;
}
.ls-ui-ctrl-geolocation .ls-ui-comp-close_button { top: -112px }
@media (min-width:400px) {
    .ls-ui-ctrl-primary { padding: 20px 16px }
}
@media (min-width:600px) {
    .ls-ui-ctrl-geolocation .ls-ui-comp-geolocation,
    .ls-ui-ctrl-primary .ls-ui-comp-close_button {
        right: 0;
        top: 0;
    }
    .ls-ui-ctrl-primary .ls-ui-ctrl-primary-search { margin: 5px 0 0 }
    .ls-ui-ctrl-active .ls-ui-ctrl-primary-search { margin-right: 52px }
    .ls-ui-ctrl-open .ls-ui-ctrl-primary-search { margin-right: 0 }
    .ls-ui-ctrl-geolocation .ls-ui-comp-auto_complete,
    .ls-ui-ctrl-geolocation .ls-ui-comp-message,
    .ls-ui-ctrl-geolocation .ls-ui-comp-search_results,
    .ls-ui-ctrl-geolocation .ls-ui-ctrl-primary-search { margin-right: 52px }
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-auto_complete,
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-message,
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-search_results,
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-ctrl-primary-search { margin-right: 104px }
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-geolocation {
        position: absolute;
        top: 0;
        right: 50px;
    }
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-auto_complete,
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-message,
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-search_results,
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-ctrl-primary-search { margin-right: 52px }
    .ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-geolocation { right: 0 }
}
@media (min-width:1008px) {
    .ls-ui-ctrl-primary .ls-ui-o {
        max-width: 976px;
        margin: 0 auto;
    }
}
